petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscShmCommLocalToGlobal

Given a local rank in the shared memory communicator returns the global rank

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscShmCommLocalToGlobal(PetscShmComm pshmcomm,PetscMPIInt lrank,PetscMPIInt *grank)

### Input Parameters

| pshmcomm | - the shared memory communicator object
| lrank | - the local rank in the shared memory communicator

### Output Parameter

grank -the global rank in the global communicator where the shared memory communicator is built

### Level

developer

### Location

src/sys/utils/mpishm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages